Linux Kernel 3.11.4 Released, How to Upgrade in Ubuntu Linux Mint

October 6, 2013

Linux Kernel 3.11.4

The Linux Kernel 3.11 series has reached 3.11.4, which brings lots of drivers updates or fixes include Radeon, Intel i915, Wireless and USB. The ARM platform gets a fix for the Thumb-2 bug in the AES assembler code, and two bugs were squashed for the x86 architecture. Read the official announcement

All users of Kernel 3.11 series are urged to upgrade as soon as possible. Here’s how to install or upgrade Linux Kernel 3.11.4 in Ubuntu 13.10 Saucy, Ubuntu 13.04 Raring, Ubuntu 12.04 Precise, Ubuntu 12.10 Quantal and their derivatives.

To get started, press Ctrl+ALt+T on your keyboard to open terminal. When it opens, run command to download the DEBs:

For 32-bit system:

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.4-saucy/linux-headers-3.11.4-031104-generic_3.11.4-031104.201310081221_i386.deb

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.4-saucy/linux-headers-3.11.4-031104_3.11.4-031104.201310081221_all.deb

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.4-saucy/linux-image-3.11.4-031104-generic_3.11.4-031104.201310081221_i386.deb

For 64-bit system:

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.4-saucy/linux-headers-3.11.4-031104-generic_3.11.4-031104.201310081221_amd64.deb

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.4-saucy/linux-headers-3.11.4-031104_3.11.4-031104.201310081221_all.deb

wget http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11.4-saucy/linux-image-3.11.4-031104-generic_3.11.4-031104.201310081221_amd64.deb

Both 32-bit & 64-bit install the Debs via:

sudo dpkg -i linux-headers-3.11.4*.deb linux-image-3.11.4*.deb

Once done, restart your computer.

(Optional) To remove Linux Kernel 3.11.4 and revert back to the previous, run command:

sudo apt-get purge linux-image-3.11.4-*

I'm a freelance blogger who started using Ubuntu 5+ years ago and wishes to share my experiences and some useful tips with Ubuntu beginners and lovers. Please notify me if you find any typo/grammar/language mistakes. English is not my native language. Contact me on Google Plus or email to ubuntuhandbook1@gmail.com

12 responses to Linux Kernel 3.11.4 Released, How to Upgrade in Ubuntu Linux Mint

  1. Can’t seem to upgrade from kernel 3.11.3 on Ubuntu 12.10:

    Selecting previously unselected package linux-headers-3.11.4-031104-generic.
    (Reading database … 269241 files and directories currently installed.)
    Unpacking linux-headers-3.11.4-031104-generic (from linux-headers-3.11.4-031104-generic_3.11.4-031104.201310051136_amd64.deb) …
    Selecting previously unselected package linux-image-3.11.4-031104-generic.
    Unpacking linux-image-3.11.4-031104-generic (from linux-image-3.11.4-031104-generic_3.11.4-031104.201310051136_amd64.deb) …
    Done.
    dpkg: dependency problems prevent configuration of linux-headers-3.11.4-031104-generic:
    linux-headers-3.11.4-031104-generic depends on linux-headers-3.11.4-031104; however:
    Package linux-headers-3.11.4-031104 is not installed.

    dpkg: error processing linux-headers-3.11.4-031104-generic (–install):
    dependency problems – leaving unconfigured
    Setting up linux-image-3.11.4-031104-generic (3.11.4-031104.201310051136) …
    Running depmod.
    update-initramfs: deferring update (hook will be called later)
    Examining /etc/kernel/postinst.d.
    run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.11.4-031104-generic /boot/vmlinuz-3.11.4-031104-generic
    run-parts: executing /etc/kernel/postinst.d/dkms 3.11.4-031104-generic /boot/vmlinuz-3.11.4-031104-generic
    Error! Bad return status for module build on kernel: 3.11.4-031104-generic (x86_64)
    Consult /var/lib/dkms/tp-smapi/0.41/build/make.log for more information.
    Error! Bad return status for module build on kernel: 3.11.4-031104-generic (x86_64)
    Consult /var/lib/dkms/vboxhost/4.2.18/build/make.log for more information.
    run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.11.4-031104-generic /boot/vmlinuz-3.11.4-031104-generic
    run-parts: executing /etc/kernel/postinst.d/update-notifier 3.11.4-031104-generic /boot/vmlinuz-3.11.4-031104-generic
    run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.11.4-031104-generic /boot/vmlinuz-3.11.4-031104-generic
    Generating grub.cfg …
    Found linux image: /boot/vmlinuz-3.11.4-031104-generic
    Found initrd image: /boot/initrd.img-3.11.4-031104-generic
    Found linux image: /boot/vmlinuz-3.11.3-031103-generic
    Found initrd image: /boot/initrd.img-3.11.3-031103-generic
    Found memtest86+ image: /boot/memtest86+.bin
    done
    Errors were encountered while processing:
    linux-headers-3.11.4-031104-generic

    Any ideas?

  2. Some broken packages detected. Some errors on instalation. No fixing errors possible yet, (on my own). I’m back to 3.11.3 again. I’ll be search others sources soon.

  3. sudo apt-get purge linux-image-3.11.4* will select all linux-image-3.11.xxx libs.
    append a after the 4 instead:
    sudo apt-get purge linux-image-3.11.4-*

  4. I followed these instructions and now every time I boot cinnamon fails to launch and running sudo apt-get purge linux-image-3.11.4-* to downgrade gives me this:

    E: Unable to locate package linux-image-3.11.4-031104-generic_3.11.4-031104.201310081221_amd64.deb
    E: Couldn’t find any package by regex ‘linux-image-3.11.4-031104-generic_3.11.4-031104.201310081221_amd64.deb’

  5. Thank you, thank you, thank you! I have been beating my head against the wall trying to get my Realtek 8168 wifi card to work with a new installation of Peppermint 4. This was the cure! Thank you so much!